#! /usr/bin/perl -w

use strict;
use FileHandle;

my @rsync = (qw(rsync --progress --delete -al));

my $updir="$ENV{HOME}/work/and.org/web_page/pictures/";

push @rsync, "$ENV{HOME}/pics/Public/.";
push @rsync, ".";
chdir($updir);

print(join(" ", @rsync), "\n");
system(@rsync);

open(HEAD, "< index_head.html") || die "open: $!\n";
open(OUT,  "> index.html")      || die "open: $!\n";

while (<HEAD>) { print OUT; }

OUT->print("\n<lu>\n");

my @dirs = grep { -d $_ } <*>;

for my $i (@dirs)
{
  print("IMG converting directory: $i\n");
  chdir("$updir/$i");
  system("../imgconvert-0.2.pl");
  my $url_i = $i;
  $url_i =~ s/([^[:alnum:]_.:])/sprintf("%%%02x", ord($1))/eg;
  OUT->print(<<EOL);
<li><a href="$url_i">$i</a></li>
EOL
}

my $d = `date`;

OUT->print(<<EOL);
</ul>
    <hr>
    <address><a href="mailto:james\@and.org">James Antill</a></address>
<!-- Created: Tue Nov 12 17:52:41 EST 2002 -->
<!-- hhmts start -->
Last modified: $d
<!-- hhmts end -->
  </body>
</html>

EOL

